<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/Create.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/theme/templateDemo.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/siteedit/sitelib" prefix="siteedit"%>
<HTML>
<HEAD>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<LINK href="/DemoJSFWeb/theme/Master.css" rel="stylesheet" type="text/css">
<%-- tpl:put name="headarea" --%>
	<TITLE>create.jsp</TITLE>
<%-- /tpl:put --%>
<LINK rel="stylesheet" type="text/css"	href="/DemoJSFWeb/theme/stylesheet.css" title="Style">
</HEAD>

<f:view>
	<BODY><hx:scriptCollector id="templateScriptCollector">
	<DIV align="center">
	<TABLE border="1" width="100%" cellspacing="0" cellpadding="0">
		<TBODY>
			<TR>
				<TD valign="bottom" background="/DemoJSFWeb/images/banner.jpg" height="75" align="right"><siteedit:navtab target="ancestor" spec="/DemoJSFWeb/theme/horizontal-tab01.jsp" img="/DemoJSFWeb/theme/horizontal-tab01_n_tl.gif|/DemoJSFWeb/theme/horizontal-tab01_n_t.gif|/DemoJSFWeb/theme/horizontal-tab01_n_tr.gif|/DemoJSFWeb/theme/horizontal-tab01_n_l.gif|/DemoJSFWeb/theme/horizontal-tab01_n_c.gif|/DemoJSFWeb/theme/horizontal-tab01_n_r.gif|/DemoJSFWeb/theme/horizontal-tab01_n_bl.gif|/DemoJSFWeb/theme/horizontal-tab01_n_b.gif|/DemoJSFWeb/theme/horizontal-tab01_n_br.gif" imgsel="/DemoJSFWeb/theme/horizontal-tab01_s_tl.gif|/DemoJSFWeb/theme/horizontal-tab01_s_t.gif|/DemoJSFWeb/theme/horizontal-tab01_s_tr.gif|/DemoJSFWeb/theme/horizontal-tab01_s_l.gif|/DemoJSFWeb/theme/horizontal-tab01_s_c.gif|/DemoJSFWeb/theme/horizontal-tab01_s_r.gif|/DemoJSFWeb/theme/horizontal-tab01_s_bl.gif|/DemoJSFWeb/theme/horizontal-tab01_s_b.gif|/DemoJSFWeb/theme/horizontal-tab01_s_br.gif" /></TD>
			</TR>
		</TBODY>
	</TABLE>
		<BR>
		<TABLE border="0">
			<TBODY>
				<TR>
					<TD><IMG border="0" src="/DemoJSFWeb/images/tutorials48sel.gif"
						width="52" height="52"></TD>
					<TD align="center"><h:outputText styleClass="outputTextTitle" id="templatetext1"
						value="JSF Workshop"></h:outputText><BR>
					<h:outputText styleClass="outputTextTitle" id="templatetext2"
						value="Application example : Customer Management"></h:outputText>
					</TD>
				</TR>
			</TBODY>
		</TABLE></DIV>
	
	<HR>
	<siteedit:navtrail start="[" end="]" target="home,parent,ancestor,self" separator="&gt;" spec="/DemoJSFWeb/theme/trail.jsp" />
		<h:form styleClass="form" id="templateForm">
			<DIV align="center">
			<TABLE border="0" height="300" cellspacing="0">
				<TBODY>
					<TR>
						<TD><%-- tpl:put name="bodyarea" --%><hx:scriptCollector id="scriptCollector1">
					<BR><h:outputText styleClass="Title" id="text1"
							value="Create a new Customer"></h:outputText>
						<BR>
					<BR>
					<BR>
					<table>
	<tbody><tr>
	<td align="left">Name:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="textName"
										value="#{pc_Create.userSession.customerService.newCustomer.name}"
										styleClass="inputText" required="true">
										<f:validator validatorId="MyValidator"></f:validator>
										<hx:inputHelperAssist validation="true"
											errorClass="inputText_Error" />
									</h:inputText>
String / required / Custom validation </td>
									<TD><h:message styleClass="message" id="message1"
										for="textName"></h:message></TD>
								</tr>

								<TR>
									<TD align="left">First Name :</TD><TD style="width:5px">&nbsp;</TD><TD><h:inputText
										id="textFirstName"
										value="#{pc_Create.userSession.customerService.newCustomer.firstName}"
										styleClass="inputText">
										<f:validateLength minimum="4" maximum="10"></f:validateLength>
										<hx:validateConstraint regex="^[A-Za-z]+$" />
										<hx:inputHelperAssist validation="true"
											errorClass="inputText_Error" />
									</h:inputText>
String / 4-10 letters / optional</TD>
									<TD><h:message styleClass="message" id="message2"
										for="textFirstName"></h:message></TD>


									</TR>
								<tr>
	<TD align="left">Identifier:</TD><TD style="width:5px">&nbsp;</TD><TD><h:inputText
										id="textIdentifier"
										value="#{pc_Create.userSession.customerService.newCustomer.identifier}"
										styleClass="inputText" required="true">
										<hx:convertMask mask="### - ??" />
										<hx:inputHelperAssist errorClass="inputText_Error"
											promptCharacter="_" validation="true"/>
									</h:inputText>
Mask / 111-AB / required</TD>
									<TD><h:message styleClass="message" id="message3"
										for="textIdentifier"></h:message></TD>


								</tr><tr>
	<td align="left">Email:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="textEmail"
										value="#{pc_Create.userSession.customerService.newCustomer.email}"
										styleClass="inputText">
										<hx:validateConstraint
											regex="([A-Za-z_-]+@[A-Za-z.]+.com)" />
										<hx:inputHelperAssist validation="true"
											errorClass="inputText_Error" />
									</h:inputText>
String / a@a.com / optional</td>
<TD><h:message styleClass="message" id="message4" for="textEmail"></h:message></TD>
</tr>

								<tr>
	<td align="left">Birthday:</td>
	<td style="width:5px">&nbsp;</td>
	<td><h:inputText id="textBirthday"
										value="#{userSession.customerService.newCustomer.birthday}"
										styleClass="inputText">
										<f:convertDateTime pattern="dd/MM/yyyy" />
										<hx:inputHelperAssist validation="true"
											errorClass="inputText_Error" promptCharacter="_" />
										<hx:inputHelperDatePicker />
									</h:inputText>
Date / jj/mm/yyyy</td>
									<TD><h:message styleClass="message" id="message5"
										for="textBirthday"></h:message></TD>
								</tr></tbody>
</table>
						<BR>
						<BR>
						<BR>
						<hx:commandExButton id="button1" styleClass="commandExButton"
							type="submit" value="Create this customer" action="#{pc_Create.doButton1Action}">
						</hx:commandExButton>
						<BR>
					<BR></hx:scriptCollector><%-- /tpl:put --%></TD>
					</TR>
				</TBODY>
			</TABLE>
			</DIV>
			<DIV align="right">
			<TABLE border="0" width="100%" cellspacing="0">
				<TBODY>
					<TR>
						<TD bgcolor="black"></TD>
						<TD width="285"><IMG border="0" src="/DemoJSFWeb/images/xb_ICmosaic.jpg"
							width="285" height="44"></TD>
					</TR>
				</TBODY>
			</TABLE>
			<BR></DIV>
		</h:form><P align="center">
	<BR>
	</P>
	</hx:scriptCollector></BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>