package com.ibm.jsf.gui;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlInputText;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

public class MyValidator implements Validator {

    public void validate(FacesContext arg0, UIComponent arg1, Object arg2) throws ValidatorException {

        HtmlInputText input = (HtmlInputText) arg1;
        String id = input.getClientId(arg0);
        String value = (String) arg2;

        // Validation process
        boolean validationError = false;
        String firstLetter = value.substring(0, 1);
        if (!firstLetter.equals(firstLetter.toUpperCase())) {
            validationError = true;
        }

        // A validation error occured. Create a message and throw the Exception
        if (validationError) {
            FacesMessage message = new FacesMessage(FacesMessage.SEVERITY_ERROR, "Global message displayed in h:messages tags", "Uppercase the first letter !");
            arg0.addMessage(id, message);
            throw new ValidatorException(message);
        }

    }
}
