package com.ibm.jsf.model;

import java.util.Date;

public class Customer implements ICustomer {

	// Business Attributes
	//****************************************
	private String name;

	private String firstName;
	
	private Date birthday;
	
	private String identifier;
	
	private String email;

	private Address[] addresses;

	// Technical Attribute
	//****************************************
	private String technicalUID;


	/**
	 */
	public Customer() {
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public Address[] getAddresses() {
		return addresses;
	}

	public void setAddresses(Address[] addresses) {
		this.addresses = addresses;
	}

	public Date getBirthday() {
        return birthday;
    }
    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }
     
    public String toString() {
		return ("Name : " + getName() + " - FirstName : " + getFirstName());
	}
 
 
    public String getTechnicalUID() {
        return technicalUID;
    }
    public void setTechnicalUID(String technicalUID) {
        this.technicalUID = technicalUID;
    }

    public String getIdentifier() {
        return identifier;
    }
    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getEmail() {
        return email;
    }
    public void setEmail(String email) {
        this.email = email;
    }
}