package com.ibm.jsf.model;

import java.util.Date;

/**
 * Business Interface defining a customer
 */
public interface ICustomer {

    public String getName();
    public void setName(String name);

    public String getFirstName();
    public void setFirstName(String firstName);

    public Date getBirthday();
    public void setBirthday(Date birthday);

    public String getIdentifier();
    public void setIdentifier(String identifier);

    public String getEmail();
    public void setEmail(String email);

    public Address[] getAddresses();
    public void setAddresses(Address[] addresses);

}
